> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# selectionuniontype

> Different ways to combine selections - Union, Intersect, Disjoin, Left or Right Subtraction.

## "selectionuniontype" MDO List

Different ways to combine selections: Union, Intersect, Disjoin, Left or Right Subtraction.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SelectionUnionTypeList">SelectionUnionTypeList</see> class.
The name of the MDO list is 'selectionuniontype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/selectionuniontype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("selectionuniontype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                | StyleHint | ExtraInfo |
| -- | ------------------- | --------- | --------- |
| 1  | Only in Selection 1 |           |           |
| 2  | Only in Selection 2 |           |           |
| 3  | Common              |           |           |
| 4  | Difference          |           |           |
| 5  | All                 |           |           |

## Related MDO Lists

* "selectionuniontypeheadings"
* "selectionuniontypeheadingswithallitem"
* "selectionuniontypeheadingswithallitemwithnoselection"
* "selectionuniontypeheadingswithnoselection"
* "selectionuniontypewithallitem"
* "selectionuniontypewithallitemwithnoselection"
* "selectionuniontypewithnoselection"


## Related topics

- [Enum SelectionUnionType](/en/automation/crmscript/reference/CRMScript.NetServer.SelectionUnionType.md)
- [Enum values for SelectionUnionType](/en/database/tables/enums/selectionuniontype.md)
- [SuperOffice.WebApi.Data.SelectionUnionType](/en/api/reference/webapi/SuperOffice.WebApi.Data.SelectionUnionType.md)
- [SuperOffice.WebApi.Data.SelectionEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.SelectionEntity.md)
- [NSSelectionEntity](/en/automation/crmscript/reference/CRMScript.NetServer.NSSelectionEntity.md)
- [Find and Selection](/en/api/search/find-selection/index.md)
